> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Supported Languages > Get the list of languages supported by the translation service provider. Make sure that the auto-translate feature is configured in your workspace. For details, see the Auto-Translate user guide. ### Changelog | Version | Description | | ---------------- | ------------| |1.3.0 | Added | ## OpenAPI ````json GET /api/v1/autotranslate.getSupportedLanguages { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/autotranslate.getSupportedLanguages": { "get": { "tags": [ "Auto-Translate" ], "summary": "Get Supported Languages", "description": "Get the list of languages supported by the translation service provider.\nMake sure that the auto-translate feature is configured in your workspace. For details, see the Auto-Translate user guide.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|1.3.0 | Added |", "operationId": "get-api-v1-autotranslate.getSupportedLanguages", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "targetLanguage", "in": "query", "description": "Language in which the language names will be returned.", "required": true, "schema": { "type": "string" }, "example": "en" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "languages": { "type": "array", "items": { "type": "object", "properties": { "name": { "type": "string" }, "supports_formality": { "type": "boolean" }, "language": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "languages": [ { "name": "Arabic", "supports_formality": false, "language": "ar" }, { "name": "Bulgarian", "supports_formality": false, "language": "bg" }, { "name": "Czech", "supports_formality": false, "language": "cs" }, { "name": "German", "supports_formality": true, "language": "de" }, { "name": "Spanish (Latin American)", "supports_formality": true, "language": "es-419" }, { "name": "Estonian", "supports_formality": false, "language": "et" }, { "name": "Indonesian", "supports_formality": false, "language": "id" }, { "name": "Korean", "supports_formality": false, "language": "ko" }, { "name": "Lithuanian", "supports_formality": false, "language": "lt" }, { "name": "Portuguese (Brazilian)", "supports_formality": true, "language": "pt-BR" }, { "name": "Thai", "supports_formality": false, "language": "th" }, { "name": "Vietnamese", "supports_formality": false, "language": "vi" }, { "name": "Chinese (simplified)", "supports_formality": false, "language": "zh" } ], "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Target Language Required": { "value": { "success": false, "error": "must have required property 'targetLanguage' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````